Name: anaconda
Version: 7.2
Release: 32AS
License: GPL
Summary: The Red Hat Linux installation program.
Group: Applications/System
Source: anaconda-%{PACKAGE_VERSION}.tar.bz2
Source1: haserver.png
Source2: anaconda_header-AS.png
Source3: splash-AS.png
Source4: first.png
Source5: splitdistro.AS
Source6: help-screens-ja-AS.sgml
Source7: centos-scrub-redhat.sh
Source8: progress_first.png
Source9: monitor_0_640.png
Source10: monitor_1_800.png
Source11: monitor_2_1024.png
Source12: monitor_3_1152.png
Source13: monitor_4_1280.png
Source14: monitor_5_1400.png
Source15: monitor_6_1600.png
Source16: done.png
Source17: first-375.png
Source18: first-lowres.png
Source19: first.png
Source20: progress_first.png
Source21: upgrade.png
Patch0: anaconda-advancedserver.diff
Patch1: anaconda-onlytwoinstallclasses.diff
Patch2: anaconda-help-AS.diff
Patch3: anaconda-7-2-branch.diff
Patch4: anaconda-nukeqla2x00.diff
Patch5: anaconda-no8139onbootnet.diff
Patch6: anaconda-7.2-usemodutilsdevel.diff
Patch7: anaconda-AS-makeinstallpathprettier.diff
Patch8: anaconda-AS-strings.diff
Patch9: anaconda-AS-texthelp.diff
Patch10: anaconda-AS-manynics.diff
Patch11: anaconda-AS-longerbootlabel.diff
Patch12: anaconda-AS-copyrightdate.diff
Patch13: anaconda-72-loaderupdates.diff
Patch14: anaconda-nosummitoneverything.diff
Patch15: anaconda-htneedssmp.diff
Patch16: anaconda-AS-tg3.diff
Patch17: anaconda-AS-tuiblboxformat.patch
Patch18: anaconda-AS-i686only.diff
Patch19: anaconda-AS-morehelpmunging.diff
Patch20: anaconda-raiddev.diff
Patch21: anaconda-AS-helpmunginggalore.diff
Patch22: anaconda-AS-whiteout.diff
Patch23: anaconda-hdks.diff
Obsoletes: anaconda-reconfig
BuildPreReq: pump-devel, kudzu-devel, pciutils-devel, bzip2-devel, e2fsprogs-devel, python-devel db3-devel gtk+-devel gnome-libs-devel rpm-python, newt-devel, rpm-devel, gettext, modutils-devel
Prereq: chkconfig /etc/init.d
Requires: rpm-python
Excludearch: sparc sparc64

BuildRoot: /var/tmp/anaconda-%{PACKAGE_VERSION}

%description
The anaconda package contains portions of the Red Hat Linux
installation program which can then be run by the user for
reconfiguration and advanced installation options.

%package runtime
Summary: Red Hat Linux installer portions needed only for fresh installs.
Group: Applications/System
AutoReqProv: false

%description runtime
The anaconda-runtime package contains parts of the Red Hat Linux
installer which are needed for installing new systems. These files are
used to build Red Hat Linux media sets, but are not meant for use on
already installed systems.

%prep

%setup -q
%patch0 -p1 -b .advanced
%patch1 -p1 -b .dumbbug
%patch2 -p1 -b .help
%patch3 -p1 -b .branch
%patch4 -p0 -b .nukeqla
%patch5 -p0 -b .no8139
%patch6 -p1 -b .moddevel
%patch7 -p0 -b .screen
%patch8 -p1 -b .strings
%patch9 -p1 -b .texthelp
%patch10 -p1 -b .manynics
%patch11 -p0 -b .longerlabel
%patch12 -p1 -b .copyright
%patch13 -p1 -b .loader
%patch14 -p0 -b .summit
%patch15 -p1 -b .ht
%patch16 -p0 -b .tg3
%patch17 -p0 -b .tuiblscreen
%patch18 -p0 -b .i686only
%patch19 -p0 -b .bootloaderhelp
%patch20 -p0 -b .ksraiddev
%patch21 -p0 -b .helpcontinues
%patch22 -p0 -b .whiteout
%patch23 -p0 -b .hdks

cp %{SOURCE7} .
./centos-scrub-redhat.sh
for lang in de en es fr it ja ; do
   rm pixmaps/rnotes/$lang/*.png
   cp %{SOURCE8} pixmaps/rnotes/$lang/
done
cp %{SOURCE9} pixmaps/
cp %{SOURCE10} pixmaps/
cp %{SOURCE11} pixmaps/
cp %{SOURCE12} pixmaps/
cp %{SOURCE13} pixmaps/
cp %{SOURCE14} pixmaps/
cp %{SOURCE15} pixmaps/
cp %{SOURCE16} pixmaps/
cp %{SOURCE17} pixmaps/
cp %{SOURCE18} pixmaps/
cp %{SOURCE19} pixmaps/
cp %{SOURCE20} pixmaps/
cp %{SOURCE21} pixmaps/

%build
make depend
make RPM_OPT_FLAGS="$RPM_OPT_FLAGS"

cp %{SOURCE6} help/help-screens-ja.sgml
# update the help with the AS changes
(cd help; make html)
for i in C ja; do \
        sed 's/-ent//g' < help/$i/s1-help-screens-instpath-ent.html > help/$i/s1-help-screens-instpath.html
        sed 's/-ent//g' < help/$i/s1-help-screens-wel-ent.html > help/$i/s1-help-screens-wel.html
done

# update the text-help also
(cd text-help; make text)


%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/share/anaconda/pixmaps/
install -m 644 %{SOURCE2} $RPM_BUILD_ROOT/usr/share/anaconda/pixmaps/anaconda_header.png
install -m 644 %{SOURCE3} $RPM_BUILD_ROOT/usr/share/anaconda/pixmaps/splash.png
install -m 644 %{SOURCE4} $RPM_BUILD_ROOT/usr/share/anaconda/pixmaps/first.png
install -m 755 %{SOURCE5} $RPM_BUILD_ROOT/usr/lib/anaconda-runtime/splitdistro
#strip $RPM_BUILD_ROOT/usr/sbin/ddcprobe

# get an advanced server icon for comps
cp $RPM_BUILD_ROOT/usr/share/anaconda/pixmaps/server.png $RPM_BUILD_ROOT/usr/share/anaconda/pixmaps/advanced-server.png

strip $RPM_BUILD_ROOT/usr/lib/anaconda/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%post
chkconfig --add reconfig

%preun
if [ $1 = 0 ]; then
	chkconfig --del reconfig
fi

%files
%defattr(-,root,root)
%doc COPYING
%doc docs/command-line.txt
/usr/sbin/anaconda
/usr/share/anaconda
/usr/share/locale/*/*/*
/usr/lib/anaconda
%ifarch i386
/usr/sbin/ddcprobe
%endif

%config /etc/rc.d/init.d/reconfig

%files runtime
%defattr(-,root,root)
/usr/lib/anaconda-runtime

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)

%changelog
* Thu Apr 25 2002 Jeremy Katz <katzj@redhat.com>
- fix hard drive kickstart installs (#61593)

* Tue Apr 23 2002 Jeremy Katz <katzj@redhat.com>
- go ahead and take ne2k-pci off of bootnet also.  maybe we won't 
- dependency whiteout additions
  have space problems again

* Mon Apr 22 2002 Jeremy Katz <katzj@redhat.com>
- new splash screen
- more help tweaks

* Mon Apr  8 2002 Jeremy Katz <katzj@redhat.com>
- add patch so that 'raid / --device 0' works in kickstart

* Thu Apr  4 2002 Jeremy Katz <katzj@redhat.com>
- more online help changes (#62658)

* Thu Mar 28 2002 Jeremy Katz <katzj@redhat.com>
- don't traceback on < i686 processors at package selection; warn at 
  anaconda startup instead
- slight reformatting of tui boot loader screen (#62040)

* Fri Mar 22 2002 Jeremy Katz <katzj@redhat.com>
- more splitdistro tweaking to make cds fit

* Mon Mar 18 2002 Jeremy Katz <katzj@redhat.com>
- integrate Japanese online help changes
- add tg3 driver

* Wed Mar 13 2002 Jeremy Katz <katzj@redhat.com>
- add msw's patch to use the smp kernel for HT machines

* Tue Mar 12 2002 Jeremy Katz <katzj@redhat.com>
- splitdistro hackery

* Thu Mar  7 2002 Jeremy Katz <katzj@redhat.com>
- integrate the loader updates from the 7.2 anaconda errata
- don't include the summit kernel on everything installs

* Thu Feb 28 2002 Jeremy Katz <katzj@redhat.com>
- copyright date updates

* Wed Feb 27 2002 Jeremy Katz <katzj@redhat.com>
- update splash and banner images
- allow longer boot labels

* Tue Feb 26 2002 Jeremy Katz <katzj@redhat.com>
- lots of string munging
- add patch to allow for many (>12) nics
- minor text help updates

* Wed Feb 20 2002 Jeremy Katz <katzj@redhat.com>
- make the installpath screen look a little cleaner
- add an icon for the advanced server comps group

* Fri Feb  8 2002 Jeremy Katz <katzj@redhat.com>
- update to use modutils-devel instead of the modutils in isys

* Mon Jan 28 2002 Jeremy Katz <katzj@redhat.com>
- move 8139too to drvnet from bootnet to make bootnet fit

* Mon Jan 14 2002 Jeremy Katz <katzj@redhat.com>
- don't include the qla2x00 driver since we have 2200 and 2300 now

* Fri Jan 11 2002 Jeremy Katz <katzj@redhat.com>
- add patches from the branch

* Wed Jan  9 2002 Jeremy Katz <katzj@redhat.com>
- add patch to remove silly check in text mode for at least 3 installclasses
- add patch for advanced server help

* Wed Dec 19 2001 Jeremy Katz <katzj@redhat.com>
- updated installclasses for advanced server

* Tue Sep 25 2001 Anaconda team <bugzilla@redhat.com>
- built new version from CVS

* Wed Jul 18 2001 Jeremy Katz <katzj@redhat.com>
- own /usr/lib/anaconda and /usr/share/anaconda

* Fri Jan 12 2001 Matt Wilson <msw@redhat.com>
- sync text with specspo

* Thu Aug 10 2000 Matt Wilson <msw@redhat.com>
- build on alpha again now that I've fixed the stubs

* Wed Aug  9 2000 Michael Fulbright <drmike@redhat.com>
- new build

* Fri Aug  4 2000 Florian La Roche <Florian.LaRoche@redhat.com>
- allow also subvendorid and subdeviceid in trimpcitable

* Fri Jul 14 2000 Matt Wilson <msw@redhat.com>
- moved init script for reconfig mode to /etc/init.d/reconfig
- move the initscript back to /etc/rc.d/init.d
- Prereq: /etc/init.d

* Thu Feb 03 2000 Michael Fulbright <drmike@redhat.com>
- strip files
- add lang-table to file list

* Wed Jan 05 2000 Michael Fulbright <drmike@redhat.com>
- added requirement for rpm-python

* Mon Dec 06 1999 Michael Fulbright <drmike@redhat.com>
- rename to 'anaconda' instead of 'anaconda-reconfig'

* Fri Dec 03 1999 Michael Fulbright <drmike@redhat.com>
- remove ddcprobe since we don't do X configuration in reconfig now

* Tue Nov 30 1999 Michael Fulbright <drmike@redhat.com>
- first try at packaging reconfiguration tool

